import pandas as pd


def define_EOM_parameters(ts: pd.DataFrame, number_of_agents: int):
    """Define a EOM dictionary with load data from the timeseries DataFrame."""
    EOM = dict()
    EOM['D'] = ts.loc[:,'LOAD'].values
    EOM["nAgents"] = number_of_agents
    return EOM


# # Example usage:
# import yaml


# def read_config(config_file):
#     with open(config_file, 'r') as file:
#         config = yaml.safe_load(file)
#     return config

# data = read_config('config.yaml')

# agents = {}
# agents['Gen'] = [id for id in data['Generators'].keys()]
# agents['Cons'] = [id for id in data['Consumers'].keys()]
# agents['eom'] = agents['Gen'] + agents['Cons']

# ts = pd.read_csv('timeseries.csv', delimiter=';')
# number_of_agents = len(agents['eom'])

# EOM = define_EOM_parameters(ts=ts, number_of_agents=number_of_agents)
# print(EOM)